﻿using System;

using System.Threading;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Configuration;

namespace Pic016_Example
{
    class SerialPortProgram
    {
        static TcpListener listener;


        [STAThread]
        static void Main(string[] args)
        {
            Console.WriteLine("Starting PIC-016 | Visual Studio C# Example");

            int portNum = 10000;

            // Create the tcp/ip server port
            try
            {
                // Set the listener on the local IP address 
                // and specify the port.
                listener = new TcpListener(IPAddress.Any, portNum);
                listener.Start();
                Console.WriteLine("Waiting for a connection...");
                //statusTextBox.Text = "Waiting for a connection...";
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error: " + ex.ToString());
                //statusTextBox.Text = "Error: " + ex.ToString();
                //MessageBox.Show(statusTextBox.Text);
            }

            while (true)
            {
                Socket client = listener.AcceptSocket();
                Console.WriteLine("Connection accepted.");

                var childSocketThread = new Thread(() =>
                {
                    byte[] data = new byte[100];
                    int size = client.Receive(data);
                    Console.WriteLine("Recieved data: ");
                    for (int i = 0; i < size; i++)
                        Console.Write(Convert.ToChar(data[i]));

                    Console.WriteLine();

                    client.Close();
                });
                childSocketThread.Start();
            }
        }
    }
}